Extract Integrations

List Extract Integration Items

List extract integration items

get
/v1/integration/extract/{extractIntegrationId}/item/list

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

extractIntegrationIdstring* Required

The ID of the extract integration

cursorstring

The cursor to use for pagination

orderstring

The order of the paginated items

takeinteger

The number of items to retrieve

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.integration.extract.item.list(

extractIntegrationId
)
{
"items":[
{
"id":"string",
"extractIntegrationId":"string",
"conversationId":"string",
"data":"object",
"createdAt":"string",
"updatedAt":"string"
}
],
"cursor":"string"
}
The list of extract integration items was retrieved successfully